aboutsummaryrefslogtreecommitdiff
path: root/contrib/remotes2config.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/remotes2config.sh')
-rw-r--r--contrib/remotes2config.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/contrib/remotes2config.sh b/contrib/remotes2config.sh
index 25901e2b3..dc09eae97 100644
--- a/contrib/remotes2config.sh
+++ b/contrib/remotes2config.sh
@@ -11,7 +11,7 @@ if [ -d "$GIT_DIR"/remotes ]; then
{
cd "$GIT_DIR"/remotes
ls | while read f; do
- name=$(echo -n "$f" | tr -c "A-Za-z0-9" ".")
+ name=$(printf "$f" | tr -c "A-Za-z0-9" ".")
sed -n \
-e "s/^URL: \(.*\)$/remote.$name.url \1 ./p" \
-e "s/^Pull: \(.*\)$/remote.$name.fetch \1 ^$ /p" \
@@ -26,8 +26,8 @@ if [ -d "$GIT_DIR"/remotes ]; then
mv "$GIT_DIR"/remotes "$GIT_DIR"/remotes.old
fi ;;
*)
- echo "git-repo-config $key "$value" $regex"
- git-repo-config $key "$value" $regex || error=1 ;;
+ echo "git-config $key "$value" $regex"
+ git-config $key "$value" $regex || error=1 ;;
esac
done
fi